## com.arsdigita.cms.docmgr.dispatcher
Class DocumentAssetPage

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.Page
                          com.arsdigita.cms.dispatcher.CMSPage
                              com.arsdigita.cms.docmgr.dispatcher.DocumentAssetPage

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.dispatcher.Dispatcher, com.arsdigita.util.Lockable, com.arsdigita.cms.dispatcher.ResourceHandler

public class DocumentAssetPage
extends com.arsdigita.cms.dispatcher.CMSPage

A resource handler which streams out a blob from the database.

Version:
  $Revision: #1 $ $DateTime: 2003/08/18 23:54:14 $
Author:
  Crag Wolfe

Field Summary
`static String` `ASSET_ID`
`static String` `versionId`

Fields inherited from class com.arsdigita.cms.dispatcher.CMSPage
`ASSETS, CMS_XML_NS, PAGE_CLASS`

Fields inherited from class com.arsdigita.bebop.Page
`m_invisible, m_panel`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`DocumentAssetPage()` Construct the resource handler

Method Summary
`void` `dispatch(HttpServletRequest request, HttpServletResponse response, com.arsdigita.dispatcher.RequestContext actx)` Streams an image from the database.

Methods inherited from class com.arsdigita.cms.dispatcher.CMSPage
`buildPage, generateXMLHelper, getContentItem, getContentItem, getContentSection, getContentSection, getCurrentUser, getXMLParameter, init, setXMLParameter`

Methods inherited from class com.arsdigita.bebop.Page

`add, add, addActionListener, addClientStylesheet, addComponent, addComponentStateParam, addGlobalStateParam, addRequestListener, buildDocument, children, contains, fireActionEvent, fireRequestEvent, generateXML, generateXML, get, getComponent, getComponentParameters, getErrorDisplay, getPanel, getParameters, getStateModel, getTitle, getTitle, indexOf, isEmpty, isUsingHttpSession, isVisibleDefault, lock, parameterName, parameterName, prepare, process, process, removeActionListener, removeRequestListener, respond, setErrorDisplay, setPanel, setStyleSheet, setTitle, setTitle, setUsingHttpSession, setVisibleDefault, size, stateContains, stateIndex, stateSize`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

### ASSET_ID

    public static final String ASSET_ID

See Also:
  Constant Field Values

Constructor Detail

### DocumentAssetPage

    public DocumentAssetPage()

  Construct the resource handler

Method Detail

### dispatch

    public void dispatch(HttpServletRequest request,
                         HttpServletResponse response,
                         com.arsdigita.dispatcher.RequestContext actx)
                  throws IOException,
                         ServletException

  Streams an image from the database.

  Parameters:
    `request` - The servlet request object
    `response` - the servlet response object
    `actx` - The request context
  Throws:
    `IOException`
    `ServletException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC